#include "partition.h"
#include<bits/stdc++.h>
std::vector<int> solve(std::vector<int> A)
{
    long long N = A.size();
    std::vector<std::pair<int, int> > arr;
    for(int i = 0; i < N; i++)
    {
        arr.push_back(std::make_pair(A[i], i));
    }
    sort(arr.begin(), arr.end());
    std::vector<int> ans;
    ans.resize(N);
//    if(N % 2 != 0)
//    {
//        for(int i = 0; i <= N / 2; i++)
//        {
//            ans[i] = arr[i * 2].second;
//        }
//        for(int i = 1; i <= N / 2; i++)
//        {
//            ans[N / 2 + i] = arr[N - i * 2].second;
//        }
//    }
//    else
//    {
//        for(int i = 0; i <= N / 2; i++)
//        {
//            ans[i] = arr[i * 2 + 1].second;
//        }
//        for(int i = 1; i <= N / 2; i++)
//        {
//            ans[N / 2 + i - 1] = arr[N - i * 2].second;
//        }
//    }
    return ans;
}
